var sal = new Activity("sal")
sal.screen = 0
sal.wallpaperPlugin = 'image'
sal.wallpaperMode = 'SingleImage'
sal.name = templateName

// -- Kubuntu Diff Starts Here -- //

// This is used when using the bottom left toolbox of plasma-netbook. The editing
// bar will contain an entry to add applications which will launch the PackageManager.
sal.writeConfig("PackageManager", "muon-discover")

// Add the default favorites.
var favorites = new Array(
    // The followign line is a place holder that will be used by a casper script
    // to substitute ubiquity into the list, ensuring one can install from a live
    // session of plasma-netbook.
    // NOTE: Must be substituted with quotation marks!
    //__UBIQUITY_PLACEHOLDER__//,
    "/usr/share/applications/firefox.desktop",
    "/usr/share/applications/kde4/KMail2.desktop",
    "/usr/share/applications/kde4/systemsettings.desktop",
    "/usr/share/applications/kde4/dolphin.desktop"
)
for (var i = 0; i < favorites.length; ++i) {
    sal.currentConfigGroup = new Array('stripwidget', 'favourite-' + i)
    sal.writeConfig("url", favorites[i])
}

sal.reloadConfig()
